Subject: Re: IMQ again WAS(Re: iptables breakage WAS(Re: dummy as IMQ replacement

From: Andy Furniss <[email-masked]>
Date: Mon, 28 Mar 2005 14:55:16 +0100

jamal wrote:
> On Mon, 2005-03-28 at 08:39, Andy Furniss wrote:
> 
> 
>>Hmm - I just tried to recreate another test I did - which was using IMQ 
>>to shape for a single duplex link. I was going to redo it with dummy, 
>>but don't seem to be able to put an egress filter on eth0 - eg. Your 
>>example from the first post in this thread -
>>
>>What you can do with dummy currently with actions
>>--------------------------------------------------
>>
>>Lets say you are policing packets from alias 192.168.200.200/32
>>you dont want those to exceed 100kbps going out.
>>
>>tc filter add dev eth0 parent 1: protocol ip prio 10 u32 \
>>match ip src 192.168.200.200/32 flowid 1:2 \
>>action police rate 100kbit burst 90k drop
>>
>>Gives me -
>>
>>RTNETLINK answers: Invalid argument
>>We have an error talking to the kernel
>>
> 
> 
> Dont see why this shouldnt work. You are saying it works with
> non-aliased interface addreses?

No it doesn't work at all.

I noticed default qdisc has handle 0:

#tc -s qdisc ls dev eth0
qdisc pfifo_fast 0: bands 3 priomap  1 2 2 2 1 2 0 0 1 1 1 1 1 1 1 1
  Sent 13024 bytes 95 pkt (dropped 0, overlimits 0 requeues 0)
  rate 0bit 0pps backlog 0b 0p requeues 0

but using parent 0: instead of 1: still fails.

Andy.